*

Onboard an existing tenant to MicroStrategy. If the tenant is already onboarded, the existing MicroStrategyDetails are returned Permission Level: Admin

POST /workertenant/v1/tenants/{tenantId}:onboardToMicroStrategy

Operation id: WorkerTenantService_OnboardToMicroStrategy

Tags: WorkerTenantService

Parameters

Path parameters

NameTypeRequiredDescription
tenantIdarrayYesTenant ID. Required: true

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

{
  "type": "object"
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
onboardedMstrStatusarrayNo
{
  "type": "object",
  "properties": {
    "onboardedMstrStatus": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "message": {
            "type": "string"
          },
          "details": {
            "type": "object",
            "properties": {
              "projectId": {
                "type": "string"
              },
              "dashboard": {
                "type": "object"
              },
              "privilegeUserGroups": {
                "type": "object"
              },
              "moduleUserGroups": {
                "type": "object"
              },
              "orgUserGroups": {
                "type": "object"
              },
              "userPrefix": {
                "type": "string"
              }
            }
          },
          "errorType": {
            "type": "string"
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}